%define _default_patch_fuzz 2

# Conditionals
# Invoke "rpmbuild --without <feature>" or "rpmbuild --with <feature>"
# to disable or enable specific features
%bcond_with testagents
%bcond_with watchdog
%bcond_with monitoring
%bcond_without snmp
%bcond_without dbus
# no InfiniBand stack on s390(x)
%ifnarch s390 s390x
%bcond_without rdma
%endif

Name: corosync
Summary: The Corosync Cluster Engine and Application Programming Interfaces
Version: 1.4.1
Release: 4%{?numcomm:.%{numcomm}}%{?alphatag:.%{alphatag}}%{?dirty:.%{dirty}}%{?dist}.2
License: BSD
Group: System Environment/Base
URL: http://ftp.corosync.org
Source0: ftp://ftp:user@ftp.corosync.org/downloads/%{name}-%{version}/%{name}-%{version}%{?numcomm:.%{numcomm}}%{?alphatag:-%{alphatag}}%{?dirty:-%{dirty}}.tar.gz

Patch0: bz722469-1-rrp-Handle-endless-loop-if-all-ifaces-are-faulty.patch
Patch1: bz722469-2-rrp-Higher-threshold-in-passive-mode-for-mcast.patch
Patch2: bz732698-1-Ignore-memb_join-messages-during-flush-operations.patch
Patch3: bz722469-3-totemconfig-change-minimum-RRP-threshold.patch
Patch4: bz722522-1-Deliver-all-messages-from-my_high_seq_recieved-to-th.patch
Patch5: bz791236-1-From-Yunkai-Zhang.patch
Patch6: bz810917-1-Unlink-shm-buffers-if-init-fails.patch

ExclusiveArch: i686 x86_64

# Runtime bits
Requires: corosynclib = %{version}-%{release}
Requires(pre): /usr/sbin/useradd
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Conflicts: openais <= 0.89, openais-devel <= 0.89

# Build bits

%define buildtrunk 0
%{?_with_buildtrunk: %define buildtrunk 1}

%if %{buildtrunk}
BuildRequires: autoconf automake
%endif
BuildRequires: nss-devel
%if %{with rdma}
BuildRequires: libibverbs-devel librdmacm-devel
%endif
%if %{with snmp}
BuildRequires: net-snmp-devel
%endif
%if %{with dbus}
BuildRequires: dbus-devel
%endif

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%prep
%setup -q -n %{name}-%{version}%{?numcomm:.%{numcomm}}%{?alphatag:-%{alphatag}}%{?dirty:-%{dirty}}
%patch0 -p1 -b .bz722469-1
%patch1 -p1 -b .bz722469-2
%patch2 -p1 -b .bz732698-1
%patch3 -p1 -b .bz722469-3
%patch4 -p1 -b .bz722522-1
%patch5 -p1 -b .bz791236-1
%patch6 -p1 -b .bz810917-1

%build
%if %{buildtrunk}
./autogen.sh
%endif

%if %{with rdma}
export ibverbs_CFLAGS=-I/usr/include/infiniband \
export ibverbs_LIBS=-libverbs \
export rdmacm_CFLAGS=-I/usr/include/rdma \
export rdmacm_LIBS=-lrdmacm \
%endif
%{configure} \
	--enable-nss \
%if %{with testagents}
	--enable-testagents \
%endif
%if %{with watchdog}
	--enable-watchdog \
%endif
%if %{with monitoring}
	--enable-monitoring \
%endif
%if %{with snmp}
	--enable-snmp \
%endif
%if %{with dbus}
	--enable-dbus \
%endif
%if %{with rdma}
	--enable-rdma \
%endif
	--with-initddir=%{_initrddir}

make %{_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%if %{with dbus}
mkdir -p -m 0700 %{buildroot}/%{_sysconfdir}/dbus-1/system.d
install -m 644 %{_builddir}/%{name}-%{version}/conf/corosync-signals.conf %{buildroot}/%{_sysconfdir}/dbus-1/system.d/corosync-signals.conf
%endif

## tree fixup
# drop static libs
rm -f %{buildroot}%{_libdir}/*.a
# drop docs and html docs for now
rm -rf %{buildroot}%{_docdir}/*

%clean
rm -rf %{buildroot}

%description
This package contains the Corosync Cluster Engine Executive, several default
APIs and libraries, default configuration files, and an init script.

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add corosync || :
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/service corosync stop &>/dev/null || :
	/sbin/chkconfig --del corosync || :
fi

%files
%defattr(-,root,root,-)
%doc LICENSE SECURITY
%{_bindir}/corosync-blackbox
%{_sbindir}/corosync
%{_sbindir}/corosync-keygen
%{_sbindir}/corosync-objctl
%{_sbindir}/corosync-cfgtool
%{_sbindir}/corosync-fplay
%{_sbindir}/corosync-pload
%{_sbindir}/corosync-cpgtool
%{_sbindir}/corosync-quorumtool
%{_sbindir}/corosync-notifyd
%dir %{_sysconfdir}/corosync
%dir %{_sysconfdir}/corosync/service.d
%dir %{_sysconfdir}/corosync/uidgid.d
%config(noreplace) %{_sysconfdir}/corosync/corosync.conf.example
%config(noreplace) %{_sysconfdir}/corosync/corosync.conf.example.udpu
%if %{with dbus}
%{_sysconfdir}/dbus-1/system.d/corosync-signals.conf
%endif
%if %{with snmp}
%{_datadir}/snmp/mibs/COROSYNC-MIB.txt
%endif
%{_initrddir}/corosync
%{_initrddir}/corosync-notifyd
%dir %{_libexecdir}/lcrso
%{_libexecdir}/lcrso/coroparse.lcrso
%{_libexecdir}/lcrso/objdb.lcrso
%{_libexecdir}/lcrso/service_cfg.lcrso
%{_libexecdir}/lcrso/service_cpg.lcrso
%{_libexecdir}/lcrso/service_evs.lcrso
%{_libexecdir}/lcrso/service_confdb.lcrso
%{_libexecdir}/lcrso/service_pload.lcrso
%{_libexecdir}/lcrso/quorum_votequorum.lcrso
%{_libexecdir}/lcrso/quorum_testquorum.lcrso
%{_libexecdir}/lcrso/vsf_quorum.lcrso
%{_libexecdir}/lcrso/vsf_ykd.lcrso
%dir %{_localstatedir}/lib/corosync
%attr(700, root, root) %{_localstatedir}/log/cluster
%dir %{_localstatedir}/log/cluster
%{_mandir}/man8/corosync_overview.8*
%{_mandir}/man8/corosync.8*
%{_mandir}/man8/corosync-blackbox.8*
%{_mandir}/man8/corosync-objctl.8*
%{_mandir}/man8/corosync-keygen.8*
%{_mandir}/man8/corosync-cfgtool.8*
%{_mandir}/man8/corosync-cpgtool.8*
%{_mandir}/man8/corosync-fplay.8*
%{_mandir}/man8/corosync-pload.8*
%{_mandir}/man8/corosync-notifyd.8*
%{_mandir}/man8/corosync-quorumtool.8*
%{_mandir}/man5/corosync.conf.5*

%package -n corosynclib
Summary: The Corosync Cluster Engine Libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description -n corosynclib
This package contains corosync libraries.

%files -n corosynclib
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/libcfg.so.*
%{_libdir}/libcpg.so.*
%{_libdir}/libconfdb.so.*
%{_libdir}/libevs.so.*
%{_libdir}/libtotem_pg.so.*
%{_libdir}/liblogsys.so.*
%{_libdir}/libcoroipcc.so.*
%{_libdir}/libcoroipcs.so.*
%{_libdir}/libquorum.so.*
%{_libdir}/libvotequorum.so.*
%{_libdir}/libpload.so.*
%{_libdir}/libsam.so.*

%post -n corosynclib -p /sbin/ldconfig

%postun -n corosynclib -p /sbin/ldconfig

%package -n corosynclib-devel
Summary: The Corosync Cluster Engine Development Kit
Group: Development/Libraries
Requires: corosynclib = %{version}-%{release}
Requires: pkgconfig
Provides: corosync-devel = %{version}
Obsoletes: corosync-devel < 0.92-7

%description -n corosynclib-devel
This package contains include files and man pages used to develop using
The Corosync Cluster Engine APIs.

%files -n corosynclib-devel
%defattr(-,root,root,-)
%doc LICENSE README.devmap
%dir %{_includedir}/corosync/
%{_includedir}/corosync/cs_config.h
%{_includedir}/corosync/corodefs.h
%{_includedir}/corosync/coroipc_types.h
%{_includedir}/corosync/coroipcs.h
%{_includedir}/corosync/coroipcc.h
%{_includedir}/corosync/cfg.h
%{_includedir}/corosync/confdb.h
%{_includedir}/corosync/corotypes.h
%{_includedir}/corosync/cpg.h
%{_includedir}/corosync/evs.h
%{_includedir}/corosync/hdb.h
%{_includedir}/corosync/list.h
%{_includedir}/corosync/mar_gen.h
%{_includedir}/corosync/sam.h
%{_includedir}/corosync/swab.h
%{_includedir}/corosync/quorum.h
%{_includedir}/corosync/votequorum.h
%dir %{_includedir}/corosync/totem/
%{_includedir}/corosync/totem/coropoll.h
%{_includedir}/corosync/totem/totem.h
%{_includedir}/corosync/totem/totemip.h
%{_includedir}/corosync/totem/totempg.h
%dir %{_includedir}/corosync/lcr/
%{_includedir}/corosync/lcr/lcr_ckpt.h
%{_includedir}/corosync/lcr/lcr_comp.h
%{_includedir}/corosync/lcr/lcr_ifact.h
%dir %{_includedir}/corosync/engine
%{_includedir}/corosync/engine/config.h
%{_includedir}/corosync/engine/coroapi.h
%{_includedir}/corosync/engine/logsys.h
%{_includedir}/corosync/engine/objdb.h
%{_includedir}/corosync/engine/quorum.h
%{_libdir}/libcfg.so
%{_libdir}/libcpg.so
%{_libdir}/libconfdb.so
%{_libdir}/libevs.so
%{_libdir}/libtotem_pg.so
%{_libdir}/liblogsys.so
%{_libdir}/libcoroipcc.so
%{_libdir}/libcoroipcs.so
%{_libdir}/libquorum.so
%{_libdir}/libvotequorum.so
%{_libdir}/libpload.so
%{_libdir}/libsam.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/cpg_*3*
%{_mandir}/man3/evs_*3*
%{_mandir}/man3/confdb_*3*
%{_mandir}/man3/votequorum_*3*
%{_mandir}/man3/sam_*3*
%{_mandir}/man8/cpg_overview.8*
%{_mandir}/man8/evs_overview.8*
%{_mandir}/man8/confdb_overview.8*
%{_mandir}/man8/logsys_overview.8*
%{_mandir}/man8/votequorum_overview.8*
%{_mandir}/man8/coroipc_overview.8*
%{_mandir}/man8/sam_overview.8*

%changelog
* Thu Apr 12 2012 Jan Friesse <jfriesse@redhat.com> 1.4.1-4.2
- Resolves: rhbz#810917

- Unlink shm buffers if init fails (rhbz#810917)
- merge upstream commit ab83b695b578e0fa68a238bf26dd3a1e338c7ec6 (rhbz#810917)

* Fri Mar 02 2012 Jan Friesse <jfriesse@redhat.com> 1.4.1-4.1
- Resolves: rhbz#791236

- A rare condition can lead to fail to recv (rhbz#791236)
- merge upstream commit c68fb0caa2e337c6fdebfe564402c6d06b7fb018 (rhbz#791236)

* Thu Sep 22 2011 Jan Friesse <jfriesse@redhat.com> 1.4.1-4
- Resolves: rhbz#722522

- Deliver all messages from my_high_seq_recieved to the last gap (rhbz#722522)
- merge upstream commit e530376a60dc862f135bd0d4c52aebb43d948423 (rhbz#722522)

* Thu Sep 08 2011 Jan Friesse <jfriesse@redhat.com> 1.4.1-3
- Resolves: rhbz#722469
- totemconfig: change minimum RRP threshold
- merge upstream commit b1aba94732edc2ff084b7dd559a08b687f464ed0 (rhbz#722469)

* Tue Sep 06 2011 Jan Friesse <jfriesse@redhat.com> 1.4.1-2
- Resolves: rhbz#722469
- Resolves: rhbz#732698
- rrp: Handle endless loop if all ifaces are faulty (rhbz#722469)
- merge upstream commit dc862e15cc084926eccc5e1ff3241611c0cb54f0 (rhbz#722469)
- rrp: Higher threshold in passive mode for mcast (rhbz#722469)
- merge upstream commit 4e32c3112a2f13a302709d72b0ae989287a48563 (rhbz#722469)
- Ignore memb_join messages during flush operations (rhbz#732698)
- merge upstream commit be608c050247e5f9c8266b8a0f9803cc0a3dc881 (rhbz#732698)

* Tue Jul 26 2011 Jan Friesse <jfriesse@redhat.com> 1.4.1-1
- Resolves: rhbz#725058
- Related: rhbz#692620
- Rebase to Corosync 1.4.1

* Wed Jul 20 2011 Jan Friesse <jfriesse@redhat.com> 1.4.0-2
- Change attributes of cluster log directory

* Wed Jul 20 2011 Jan Friesse <jfriesse@redhat.com> 1.4.0-1
- Resolves: rhbz#709758
- Resolves: rhbz#722522
- Resolves: rhbz#692620
- Resolves: rhbz#529136
- Resolves: rhbz#696883
- Resolves: rhbz#707876
- Resolves: rhbz#712115
- Resolves: rhbz#722469
- Resolves: rhbz#696887
- Resolves: rhbz#707860
- Resolves: rhbz#712126
- Resolves: rhbz#712188
- Resolves: rhbz#599327
- Resolves: rhbz#667652
- Resolves: rhbz#677583
- Resolves: rhbz#688260
- Resolves: rhbz#707862
- Resolves: rhbz#707867
- Resolves: rhbz#707873
- Resolves: rhbz#707875
- Resolves: rhbz#682813
- Rebase to Corosync 1.4.0

* Tue Apr 12 2011 Steven Dake <sdake@redhat.com> 1.2.3-36
- Resolves: rhbz#629380
- merge upstream commit fd78f27715be326c6fe5439fa7e8d8077642db64 (rhbz#629380)
- Place statistics changes outside of IPC mutexes to avoid deadlocks (rhbz#629380)

* Mon Apr 11 2011 Steven Dake <sdake@redhat.com> 1.2.3-35
- Reverts: rhbz#599327
- revert upstream commit 061b770b83a9533dad527eda5f7d41e763cb40da (rhbz#599327)
- revert upstream commit 2f1b7a962911670493d0db3695fc9fb91ceb0c82 (rhbz#599327)
- Display warning and add object database feature to indicate when system
  firewall is enabled. (rhbz#599327)

* Fri Apr 1 2011 Steven Dak <sdake@redhat.com> 1.2.3-34
- Resolves: rhbz#629380
- merge non-committed patch which fixes stack protector failure.  (rhbz#629380)

* Tue Mar 29 2011 Steven Dake <sdake@redhat.com> 1.2.3-33
- Resolves: rhbz#629380
- Fix retrieving application's parent name in notifyd.  (rhbz#629380)
- merge upstream commit 1b7b4f0f888621aff2f8866ac81b4930b4b07c63 (rhbz#629380)
- Remove duplicate quarote events (rhbz#629380)
- merge upstream commit 821e031b925ad3a15ca057f816fecb3568c96cb9 (rhbz#629380)
- Add the service name to the connection name in statistics (rhbz#629380)
- merge upstream commit 78ae800f80fa9cd0fe593724f5c64138c205fec5 (rhbz#629380)
- Fix shutdown when a confdb client is still connected (rhbz#629380)
- merge upstream commit 8b1492b50b64725d72ae9c301682ad9a489de344 (rhbz#629380) 
- Fix compiler error with previous commit (rhbz#629380)
- merge upstream commit 5da31206bbb9bb0d1f80907e53a5798204eaf594 (rhbz#629380)

* Thu Mar 24 2011 Steven Dake <sdake@redhat.com> 1.2.3-32
- Resolves: rhbz#629380
- Resolves: rhbz#688691
- Resolves: rhbz#675783
- Only dispatch notification messages one message at a time. (rhbz#629380)
- merge upstream commit fbae3de885843debe9ccccb363e9ca8e98d5afea. (rhbz#629380)
- Send confdb notifications from the main thread.  (rhbz#629380)
- merge upstream commit abeb02277ee374531b910ce793213e60addb0fb5. (rhbz#629380)
- Remove recv_flush operations from totemsrp to remove recursion
  error.  (rhbz#688691)
- merge upstream commit 336741ee96caf3ae435b609ee8a76788902c9edf. (rhbz#688691)
- Only restore old ring id information once before operational
  state.  (rhbz#675783)
- merge upstream commit 0eabeee63eca7a4cc1d907607057ac668fafbcae.  (rhbz#675783)
- Free recovery messages during operational enter rather then
  via message_free() call.  (rhbz#675783)
- merge upstream commit 0fcf760977a73ef78bacff47e61c30ba21929faa.  (rhbz#675783)

* Mon Mar 21 2011 Steven Dake <sdake@redhat.com> 1.2.3-31
- Resolves: rhbz#688691
- Remove assertion during corosync shutdown.  (rhbz#688691)
- merge upstream commit 92a3a1aa9d07e769eb6bc59467454e0316549cf6 (rhbz#688691)

* Tue Mar 15 2011 Steven dake <sdake@redhat.com> 1.2.3-30
- Resolves: rhbz#684928
- Resolves: rhbz#684930
- Fix ttl defaults and range checking.  (rhbz#684928)
- merge upstream commit c5ee8757eb2a7026b26a6410f3f068c4797abcf8 (rhbz#684928)
- Remove the ttl option from the udpu code and rely on kernel
  ttl defaults (rhbz#684930)
- merge upstream commit 48cbb33d11fed7ed9db5e7c723cf84eb35cd9d29 (rhbz#684930)

* Tue Mar 8 2011 Steven Dake <sdake@redhat.com> 1.2.3-29
- Resolves: rhbz#675783
- Fix problem that leads to abort when token lost in
  recovery sate.  (rhbz#675783)
- merge upstream commit 6aa47fde953bf2179f5bd2dd07815fc7d80f47bb

* Mon Feb 28 2011 Steven Dake <sdake@redhat.com> 1.2.3-28
- Resolves: rhbz#677975
- Fix problem where objdb handle destroy is not called in
  clear_object.  (rhbz#677975)
- merge upstream commit ea18c71936edf8cdc647245374f3a7932ac7e686
- Fix problem where all items are not iterated in
  object_reload_notification.  (rhbz#677975)
- merge upstream commit 7f2e1da84d5883176f0f95936b8a4bf21de12a0a

* Thu Feb 24 2011 Steven Dake <sdake@redhat.com> 1.2.3-27
- Resolves: rhbz#680258
- Resolves: rhbz#675099
- Fix problem where corosync can't be built on an older
  installation. (rhbz#680258)
- merge upstream commit 5ee4fe19db4b1e9c3984a9bf1645b8cf6d711f3d
- Avoid abort if existing ring id file does not contain
  atleast 8 bytes.  (rhbz#675099)
- merge upstream commit bb35b86fef4f256a21993f73b71fd512d4763e2f

* Tue Feb 8 2011 Steven Dake <sdake@redhat.com> 1.2.3-26
- Resolves: rhbz#675859
- finish SNMP/DBUS integration
- Add a list of member nodes into the object database. (rhbz#675859)
- merge upstream commit 5af39894067252574020c60b1420599c12ca2027
- Add a list of member nodes into the object database. (rhbz#675859)
- merge upstream commit 732f761cfb89dc8e34d7330cf93ef07ea5815d16
- Delete trackers when an object is deleted.  (rhbz#675859)
- merge upstream commit 36265c20fb623e008e2774a89dd61a08956b65d1
- Make node state a string instead of integer. (rhbz#675859)
- merge upstream commit 8699ed2309340d45f090ff1a9c614e23110b66a9
- fix some strange typing that results in segfaults when using some
apis. (rhbz#675859)
- merge upstream commit 42a44572d892c4981ba3219933aa3d8e131b2d5c
- Fix order of parent and objct handles in object_created_notification
- merge upstream commit 267446a1524e442af4de4e60a2eb79e5ae561a7b
- Fix key name length on "join_count" (rhbz#675859)
- merge upstream commit 3c75fc86755da5c21b4a7620d1e92f0f3e46ce72

* Mon Feb 7 2011 Steven Dake <sdake@redhat.com> 1.2.3-25
- Resolves: rhbz#675741
- fix regression where version information for package is not set properly.

* Fri Feb 4 2011 Steven Dake <sdake@redhat.com> 1.2.3-24
- Resolves: rhbz#629380
- merge upstream commit 7bb8cd296715aaf82ba2184baa5eaf7456010116 (rhbz#629380)
- Increase space for application names in objdb (rhbz#629380)
- merge upstream commit 9415f6d0245d0375f3fc2622931584fc6d617fbf (rhbz#629380)
- Add confdb_object_name_get (rhbz#629380)
- merge upstream commit 159bdf75f33a6f9f8c6746ec1519d26d95fb4e8c (rhbz#629380)
- Add dbus and snmp notifier (rhbz#629380)
- merge upstream commit e48599638375d3ac72919227c6d764974d5ed5f5 (rhbz#629380)
- Make snmp mib match what is sent over dbus (rhbz#629380)
- merge upstream commit d7a9a2519655baf2cd7b25b8b86fb234afa3a650 (rhbz#629380)
- Match mib to notifyd and add SNMP quorum events (rhbz#629380)
- merge upstream commit ae8b5a389a20f15852579baa9e100fda36056ffa (rhbz#629380)
- expand the descriptions of the notifications (rhbz#629380)
- merge upstream commit 4f881071dc3eff5eed83b419154ff47b8ccaf7f7
- fix merge conflicts from 159bdf75f33a6f9f8c6746ec1519d26d95fb4e8c (rhbz#629380)


* Fri Feb 4 2011 Steven Dake <sdake@redhat.com> 1.2.3-23
- Resolves: rhbz#599327
- Resolves: rhbz#613836
- Resolves: rhbz#619918
- Resolves: rhbz#639023
- Resolves: rhbz#640311
- Resolves: rhbz#665165
- Resolves: rhbz#626962
- Resolves: rhbz#626962
- Resolves: rhbz#568164
- merge upstream commit 061b770b83a9533dad527eda5f7d41e763cb40da (rhbz#599327)
- merge upstream commit 2f1b7a962911670493d0db3695fc9fb91ceb0c82 (rhbz#599327)
- Display warning and add object database feature to indicate when system
  firewall is enabled. (rhbz#599327)
- merge upstream commit 9dfb3bbdb325c3908b108943094ca703d4bdfa8f (rhbz#613836)
- Indicate error when multicast address is incorrectly configured by
  user. (rhbz#613836)
- merge upstream commit 6ecad521035e3fe065140091f3cb277e3045f1c6 (rhbz#619918)
- Send error back to API rather then segfaulting corosync if error occured
  duing connection setup (rhbz#619918)
- merge upstream commit 82701ac43d1898f8b824d00fb72ec3065eb34746  (rhbz#639023)
- Remove delay on normal shutdown of corosync for clients (rhbz#639023)
- merge upstream commit d3b983953d43dd17162be04de405d223fb21cd26 (rhbz#640311)
- Add a ttl configuration option to corosync (rhbz#640311)
- merge upstream commit b57573b037aa2737aed2ba706bf55a4599884641 (rhbz#665165)
- Remove shared memory leak in clients if corosync faults (rhbz#665165)
- merge upstream commit b0ac86d3dd37d3a13c3c7ed0442b45ef94554321 (rhbz#626962)
- Since Corosync won't work with multiple instances running, only allow
  one instance to run. (rhb#626962)
- merge upstream commit 679294652f655ab217cbef958d79330049513003 (rhbz#614104)
- Resolve problem where if corosync init script was run by another
  service (such as cman), the init script will block (rhbz#614104)
- merge upstream commit 196d8dc6c2575476d936798f833ec40d50ffa15d (rhbz#568164)
- Add UDPU transport - set buffer sizes properly (rhbz#568164)
- merge upstream commit cab2a2d4803d8d574d61b482edf1c4705160c1d9 (rhbz#568164)
- Add UDPU transport - flushing code introducing data corruption. (rhbz#568164)
- merge upstream commit 893615057777537a86cd7c17597da44f23ac5cd8 (rhbz#568164)
- Add UDPU transport - main work. (rhbz#568164)
- merge upstream commit 0fa7bce07240670f699fe4b6b7d473ce2bcb1bec (rhbz#568164)
- Add UDPU transport - build system dependencies (rhbz#568164)
- merge upstream commit ba021fc66d3fce5eb87006c19192ea3042cd69d7 (rhbz#568164)
- Add UDPU transport - build system dependencies (rhbz#568164)

* Tue Jan 11 2011 Steven Dake <sdake@redhat.com> 1.2.3-22
- Resolves: rhbz#619496
- merge upstream commit bab4945b57c150301c034085f3ce7b4187b6c864
-  Works around problem where some switch hardware delays multicast
-  packets compared to the unicast token.  This would result in messages
-  being retransmitted when no retransmission was necessary.

* Tue Sep 7 2010 Steven Dake <sdake@redhat.com> 1.2.3-21
- Resolves: rhbz#630106
- merge upstream revision 3040 - change stop level from 20 to 80.

* Wed Aug 18 2010 Steven Dake <sdake@redhat.com> 1.2.3-20
- Resolves: rhbz#623790
- properly apply patch from 1.2.3-19

* Tue Aug 17 2010 Steven Dake <sdake@redhat.com> 1.2.3-19
- Resolves: rhbz#623790
- Add upstream revision 3023 - Properly detect server failure instead of falsely
  detecting during a configuration change.

* Tue Aug 3 2010 Steven Dake <sdake@redhat.com> 1.2.3-18
- Resolves: rhbz#619565
- Add upstream revision 3013 - dont cancel token retransmit timeout on receipt
  of a multicast message.

* Tue Jul 27 2010 Steven Dake <sdake@redhat.com> 1.2.3-17
- Resolves: rhbz#618570
- Add upstream revision 3006 - Remove consensus timeout floor check that leads
  to exit in two node clusters with smaller consensus timeouts.

* Thu Jul 22 2010 Angus Salkeld <asalkeld@redhat.com> 1.2.3-16
- Resolves: rhbz#579126
- Add upstream revision 3004 - Fix merge error with revision 3001.
- Add upstream revision 3003 - Fix problem where flow control could lock
  up ipc under very heavy load in very rare circumstances.
* Mon Jul 19 2010 Steven Dake <sdake@redhat.com> 1.2.3-15
- Resolves: rhbz#611676
- Add upstream revision 3000 - ensure aborts happen even if the currently
  running sync engine doesn't have an abort operation.
- Add upstream revision 2999 - reset internal variable in syncv2 on
  configuration change.

* Mon Jul 19 2010 Steven Dake <sdake@redhat.com> 1.2.3-14
- Resolves: rhbz#615203
- Add upstream revision 2998 - Fix logging_daeon cofig parser code.

* Wed Jul 14 2010 Steven Dake <sdake@redhat.com> 1.2.3-13
- Resolves: rhbz#614219
- Add upstream revision 2989 - Don't reset the token timer when a retransmitted
  token is received.  Only reset when a token is received.

* Wed Jul 7 2010 Steven dake <sdake@redhat.com> 1.2.3-12
- Resolves: rhbz#612292
- Add upstream revision 2987 - speed up connection process as a result of
  performance regression in upstream revision 2973.

* Tue Jul 6 2010 Steven Dake <sdake@redhat.com> 1.2.3-11
- Resolves: rhbz#580741
- Resolves: rhbz#605313
- Add upstream revision 2985 - fix fail list fault that occurs in very rare
  circumstances.
- Add upstream revision 2977 - fix mutex deadlock that occurs during cman
  reload.

* Tue Jul 6 2010 Steven Dake <sdake@redhat.com> 1.2.3-10
- Resolves: rhbz#583844
- Add upstream trunk revision 2814 - fix syncing of cpg downlist in certain circumstances
- Add upstream trunk revision 2785 - fix syncing of cpg downlist in certain circumstances.
- Add upstream trunk revision 2801 - fix syncing of cpg downlist in certain circumstances.
 
* Wed Jun 30 2010 Steven Dake <sdake@redhat.com> 1.2.3-9
- Resolves: rbhz#606463
- Add upstream revision 2978 - use freopen as to not cause glibc/fork to
  segfault in some rare circumstances when using pacemaker.

* Tue Jun 29 2010 Steven Dake <sdake@redhat.com> 1.2.3-8
- Resolves: rhbz#609198
- Add upstream revision 2975 - properly size all buffers used to describe the
  file names to PATH_MAX used in mappings in ipc layer.

* Tue Jun 29 2010 Steven dake <sdake@redhat.com> 1.2.3-7
- Resolves: rhbz#607738
- Add upstream revision 2973 - if /dev/shm is full, ipc clients will bus error - return error instead

* Mon Jun 28 2010 Steven Dake <sdake@redhat.com> 1.2.3-6
- Resolves: rhbz#596550
- Resolves: rhbz#606335
- Resolves: rhbz#607480
- Resolves: rhbz#607292
- Add upstream revision 2965 - add a man page for corosync-blackbox
- Add upstream revision 2966 - add a man page for corosync
- Add upstream revision 2967 - Add makefile and specfile changes to support 2965/2966
- Add upstream revision 2968 - remove use of pathconf which can fail resulting in segfault
- Add upstream revision 2969 - remove use of pathconf which can fail resulting in segfault
- Add upstream revision 2971 - add /var/log/cluster as owned directory and change example config file to log in /var/log/cluster

*Mon Jun 28 2010 Steven Dake <sdake@redhat.com> 1.2.3-5
- Reverts: rhbz#583844
- Revert trunk revision 2814 - fix syncing of cpg downlist in certain circumstances
- Revert upstream trunk revision 2785 - fix syncing of cpg downlist in certain circumstances.
- Revert upstream trunk revision 2801 - fix syncing of cpg downlist in certain circumstances.

* Tue Jun 22 2010 Steven Dake <sdake@redhat.com> 1.2.3-4
- Resolves: rhbz#583844
- Add trunk revision 2814 - fix syncing of cpg downlist in certain circumstances

* Mon Jun 21 2010 Steven Dake <sdake@redhat.com> 1.2.3-3
- Resolves: rhbz#600118
- Resolves: rhbz#606463
- Resolves: rhbz#583844
- Resolves: rhbz#605860
- Resolves: rhbz#605860
- Add upstream trunk revision 2785 - fix syncing of cpg downlist in certain circumstances.
- Add upstream trunk revision 2799 - fix problem where blackbox data isn't written during sos requests
- Add upstream trunk revision 2801 - fix syncing of cpg downlist in certain circumstances.
- Add upstream revision 2951 - fix segfault in fork() inside pacemaker service engine.
- Add upstream revision 2952 - fix problem where corosync deadlocks on single cpu system in spinlock call
- Add upstream revision 2954 - fix problem where totem stats updater triggers segfault when it's timer expires during shutdown

* Tue Jun 15 2010 Steven Dake <sdake@redhat.com> 1.2.3-2
- Resolves: rhbz#603886
- Resolves: rhbz#601018
- Resolves: rhbz#600068
- Resolves: rhbz#600043
- Resolves: rhbz#598680
- Resolves: rhbz#601011
- Resolves: rhbz#596550
- Resolves: rhbz#596552
- Resolves: rhbz#596405
- Resolves: rhbz#594924
- Resolves: rhbz#583844
- Add upstream revision 2947 - send CPG_REASON_PROCDOWN instead of
  CPG_REASON_LEAVE on proces exit.
- Add upstream revision 2945 - object_key_iter can dereference an invalid
  pointer
- Add upstream revision 2938 - have logsys use file mapped backing properly as
  intended
- Add upstream revision 2937 - handle sem_wait interrupted by signal properly
- Add upstream revision 2936 - fix fail to recv logic which happens rarely on
  high loss networks
- Add upstream revision 2935 - fix last_aru logic
- Add upstream revision 2934 - evs service fails to deliver messages
- Add upstream revision 2932 - Add man page for corosync-quorumtool
- Add upstream revision 2931 - Add man page for corosync-pload
- Add upstream revision 2930 - Add man page for corosync-fplay
- Add upstream revision 2929 - Add man page for corosync-cpgtool
- Add upstream revision 2928 - Add man page for corosync-cfgtool
- Add upstream revision 2927 - Add man page for corosync-keygen
- Add upstream revision 2926 - Update of corosync_overview man page
- Add upstream revision 2925 - resolve undefined behavior caused by sem_wait
  interruption by signals in coroipc
- Add upstream revision 2924 - Resolve problem where errant memcpy() operation
  sets incorrect scheduling parameters
- Add upstream revision 2923 - corosync won't build without corosync already
  intalled

* Wed May 19 2010 Steven dake <sdake@redhat.com> 1.2.3-1
- Resolves: rhbz#583800
- Rebase to upstream 1.2.3.
- Resolves 43 errors found with coverity.
- Fixes defects with totemsrp in 90% multicast message loss cases found
  through a field deployment.

* Sun May 16 2010 Steven Dake <sdake@redhat.com> 1.2.2-1
- Resolves: rhbz#583800
- Resolves: rhbz#553375
- Resolves: rhbz#582947
- Resolves: rhbz#553375
- Rebase to upstream 1.2.2.
- Add upstream trunk revision 2770 to add cpg_model_initialize api.

* Wed May 12 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.2.1-5
- Resolves: rhbz#590983
- Do not build corosync on ppc and ppc64

* Tue Mar 23 2010 Steven Dake <sdake@redhat.com> 1.2.1-4
- Resolves: rhbz#574516
- Rebase to upstream 1.2.1.

* Thu Feb 25 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.2.0-3
- Resolves: rhbz#567995
- Do not build corosync on s390 and s390x

* Tue Jan 12 2010 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.2.0-2
- Resolves: rhbz#554855
- Do not build IB support on s390 and s390x

* Tue Dec  8 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.2.0-1
- New upstream release
- Use global instead of define
- Update Source0 url
- Use more %name macro around
- Cleanup install section. Init script is now installed by upstream
- Cleanup whitespace
- Don't deadlock between package upgrade and corosync condrestart
- Ship service.d config directory
- Fix Conflicts vs Requires
- Ship new sam library and man pages

* Fri Oct 23 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.2-1
- New upstream release fixes major regression on specific loads

* Wed Oct 21 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.1-1
- New upstream release

* Fri Sep 25 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.0-1
- New upstream release
- spec file updates:
  * enable IB support
  * explicitly define built-in features at configure time

* Tue Sep 22 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.1-1
- New upstream release
- spec file updates:
  * use proper configure macro

* Tue Jul 28 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.0-3
- spec file updates:
  * more consistent use of macros across the board
  * fix directory ownership

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  8 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.0-1
- New upstream release

* Thu Jul  2 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.100-1
- New upstream release

* Sat Jun 20 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.98-1
- New upstream release
- spec file updates:
  * Drop corosync-trunk patch and alpha tag.
  * Fix alphatag vs buildtrunk handling.
  * Drop requirement on ais user/group and stop creating them.
  * New config file locations from upstream: /etc/corosync/corosync.conf.

* Wed Jun 10 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.97-1.svn2233
- spec file updates:
  * Update to svn version 2233 to include library linking fixes

* Wed Jun 10 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.97-1.svn2232
- New upstream release
- spec file updates:
  * Drop pkgconfig fix that's now upstream
  * Update to svn version 2232
  * Define buildtrunk if we are using svn snapshots
  * BuildRequires: nss-devel to enable nss crypto for network communication
  * Force autogen invokation if buildtrunk is defined
  * Whitespace cleanup
  * Stop shipping corosync.conf in favour of a generic example
  * Update file list

* Mon Mar 30 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.95-2
- Backport svn commit 1913 to fix pkgconfig files generation
  and unbreak lvm2 build.

* Tue Mar 24 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.95-1
- New upstream release
- spec file updates:
  * Drop alpha tag
  * Drop local patches (no longer required)
  * Allow to build from svn trunk by supporting rpmbuild --with buildtrunk 
  * BuildRequires autoconf automake if building from trunk
  * Execute autogen.sh if building from trunk and if no configure is available
  * Switch to use rpm configure macro and set standard install paths
  * Build invokation now supports _smp_mflags
  * Remove install section for docs and use proper doc macro instead
  * Add tree fixup bits to drop static libs and html docs (only for now)
  * Add LICENSE file to all subpackages
  * libraries have moved to libdir. Drop ld.so.conf.d corosync file
  * Update BuildRoot usage to preferred versions/names

* Tue Mar 10 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.94-5.svn1797
- Update the corosync-trunk patch for real this time.

* Tue Mar 10 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.94-4.svn1797
- Import fixes from upstream:
  * Cleanup logsys format init around to use default settings (1795)
  * logsys_format_set should use its own internal copy of format_buffer (1796)
  * Add logsys_format_get to logsys API (1797)
- Cherry pick svn1807 to unbreak CPG.

* Mon Mar  9 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.94-3.svn1794
- Import fixes from upstream:
  * Add reserve/release feature to totem message queue space (1793)
  * Fix CG shutdown (1794)

* Fri Mar  6 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.94-2.svn1792
- Import fixes from upstream:
  * Fix uninitialized memory. Spotted by valgrind (1788)
  * Fix logsys_set_format by updating the right bits (1789)
  * logsys: re-add support for timestamp  (1790)
  * Fix cpg crash (1791)
  * Allow logsys_format_set to reset to default (1792)

* Tue Mar  3 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.94-1
- New upstream release.
- Drop obsolete patches.
- Add soname bump patch that was missing from upstream.

* Wed Feb 25 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.93-4
- Add Makefile fix to install all corosync tools (commit r1780)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.93-2
- Rename gcc-4.4 patch to match svn commit (r1767).
- Backport patch from trunk (commit r1774) to fix quorum engine.

* Thu Feb 19 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.93-1
- New upstream release.
- Drop alphatag from spec file.
- Drop trunk patch.
- Update Provides for corosynclib-devel.
- Backport gcc-4.4 build fix from trunk.

* Mon Feb  2 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.92-7.svn1756
- Update to svn trunk at revision 1756 from upstream.
- Add support pkgconfig to devel package.
- Tidy up spec files by re-organazing sections according to packages.
- Split libraries from corosync to corosynclib.
- Rename corosync-devel to corosynclib-devel.
- Comply with multiarch requirements (libraries).

* Tue Jan 27 2009 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.92-6.svn1750
- Update to svn trunk at revision 1750 from upstream.
- Include new quorum service in the packaging.

* Mon Dec 15 2008 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.92-5.svn1709
- Update to svn trunk at revision 1709 from upstream.
- Update spec file to include new include files.

* Wed Dec 10 2008 Fabio M. Di Nitto <fdinitto@redhat.com> - 0.92-4.svn1707
- Update to svn trunk at revision 1707 from upstream.
- Update spec file to include new lcrso services and include file.

* Mon Oct 13 2008 Dennis Gilmore <dennis@ausil.us> - 0.92-3
- remove ExclusiveArch line

* Fri Sep 24 2008 Steven Dake <sdake@redhat.com> - 0.92-2
- Add conflicts for openais and openais-devel packages older then 0.90.

* Wed Sep 24 2008 Steven Dake <sdake@redhat.com> - 0.92-1
- New upstream release corosync-0.92.

* Sun Aug 24 2008 Steven Dake <sdake@redhat.com> - 0.91-3
- move logsys_overview.8.* to devel package.
- move shared libs to main package.

* Wed Aug 20 2008 Steven Dake <sdake@redhat.com> - 0.91-2
- use /sbin/service instead of calling init script directly.
- put corosync-objctl man page in the main package.
- change all initrddir to initddir for fedora 10 guidelines.

* Thu Aug 14 2008 Steven Dake <sdake@redhat.com> - 0.91-1
- First upstream packaged version of corosync for rawhide review.
